package com.example.cmknowledgegraph;

import com.hankcs.hanlp.HanLP;
import com.hankcs.hanlp.suggest.Suggester;

import java.util.List;

public class test {

    public void init(){


        /**
         * 查询逻辑
         * 一般来说，查询是 头痛+怎么办 胃+不+舒服 眼睛+痛 冷水喝多了，肚子痛（肚子痛，喝，冷水）
         * 不会加主语
         * 大部分是  主体加动词
         * 选用 关键词提取和标准分词，
         */
        String content = "我的胃不舒服";
        List<String> keywordList = HanLP.extractKeyword(content, 5);
        System.out.println(keywordList);


        //关键词联想
        Suggester suggester = new Suggester();
        String[] titleArray =
                (
                        "威廉王子发表演说 呼吁保护野生动物\n" +
                                "《时代》年度人物最终入围名单出炉 普京马云入选\n" +
                                "“黑格比”横扫菲：菲吸取“海燕”经验及早疏散\n" +
                                "日本保密法将正式生效 日媒指其损害国民知情权\n" +
                                "英报告说空气污染带来“公共健康危机”"
                ).split("\\n");
        for (String title : titleArray)
        {
            suggester.addSentence(title);
        }

        System.out.println(suggester.suggest("发言", 1));       // 语义
        System.out.println(suggester.suggest("危机公共", 1));   // 字符
        System.out.println(suggester.suggest("mayun", 1));      // 拼音
    }
}
